ATA_LINK_OFFLINE(9)

NAME
ata_link_offline - test whether the given link is offline

SYNOPSIS

bool ata_link_offline(struct ata_link * link);

ARGUMENTS

link
    ATA link to test

DESCRIPTION

Test whether link is offline. This is identical to ata_phys_link_offline when there's no slave link. When there's a slave link, this function should only be called on the master link and will return true if both M/S links are offline.

LOCKING

None.

RETURNS

True if the port offline status is available and offline.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT